if (typeof dwr == 'undefined' || dwr.engine == undefined) throw new Error('You must include DWR engine before including this file');

(function() {
if (dwr.engine._getObject("downloader") == undefined) {
var p;

p = {};




p.updatePluginsList = function(callback) {
return dwr.engine._execute(p._path, 'downloader', 'updatePluginsList', arguments);
};






p.installPlugin = function(p0, p1, callback) {
return dwr.engine._execute(p._path, 'downloader', 'installPlugin', arguments);
};





p.downloadPlugin = function(p0, callback) {
return dwr.engine._execute(p._path, 'downloader', 'downloadPlugin', arguments);
};

dwr.engine._setObject("downloader", p);
}
})();

